---
title: Contributing to InvenTree
layout: page
---

## Contribute to InvenTree

InvenTree is an open source project, and benefits greatly from user contributions.

If you find InvenTree to be useful, and wish to improve the software, please consider contributing:

### Source Code

InvenTree is built using [Python3](https://www.python.org/) and [Django](https://www.djangoproject.com/). Source code is available on [GitHub](https://github.com/inventree/inventree).

Contributions towards the core InvenTree code base are welcomed; either extending current functionality, prodiving new features, or addressing outstanding issues.

### Report Bugs

If you find a bug or a feature that does not work correctly, please report it on [GitHub](https://github.com/inventree/inventree/issues). Reporting bugs is critical to improving the software. If you are able and willing, providing a fix for any outstanding issues would be greatly appreciated.

### Translation

InvenTree provides a translation layer for the web interface, this requires effort from translators to provide multi-lingual support. If you wish to translate InvenTree to a new language (or improve an existing translation), such contributions would be extremely useful. To provide translation improvements, refer to [GitHub](https://github.com/inventree/inventree).

!!! info "Translation Helper Script"
    A python script is provided to assist with translation. This script is located at `./InvenTree/script/translate.py`

### Documentation

Documenting a large software project is a challenging and ongoing effort. If you are able to provide assistance in improving this documentation set, please consider doing so! Documentation contributions can be made on [GitHub](https://github.com/inventree/inventree.github.io).

### Donate

If you are unable to provide contributions as listed above, or you find InvenTree to be useful, please consider donating to support its ongoing development.

{% include 'donate.html' %}
